- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# forward_realtime.hh File Reference

Algorithms to make an automaton realtime. More...

Include dependency graph for forward_realtime.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
void | forward_realtime_here (Element< A, T > &a)
| In place modification of the automaton to make it realtime.
template<typename A, typename T>
Element< A, T > | forward_realtime (const Element< A, T > &a)
| Returns a fresh realtime automaton.

## Detailed Description

Algorithms to make an automaton realtime.

Algorithms to build realtime automaton. These algorithms use the forward version of eps_removal.

See also:
  forward_realtime(), forward_realtime_here()

Definition in file forward_realtime.hh.